@import 'src/core.scss';



div#plusitivity-section {
	min-height: 100vh;
	
	div#plusitivity-section-content {
		margin: auto;
		max-width: $maxWebsiteWidth;

		// add animation to ng-bootstrap carousel(hack only)
		::ng-deep {
			.carousel-item {
				transition: opacity 0.7s ease;
				position: absolute;
				display: block;
				opacity: 0;
			}
			
			.carousel-item.active {
				position: relative;
				opacity: 1
			}
		}

		
		ngb-carousel img {
			height: 100vh;
			width: 100vw;
			object-fit: cover;
		}
		
		div.carousel-caption.custom {
			text-shadow: 0px 0px 15px #757575;
			height: 100%;
			width: 100%;
			padding: 20px;
			position: absolute;
			top: 0px;
			left: 0px;
			color: #FFFFFF;

			div#more-details {
				text-align: left;
				
				div.divider {
					width: 100%;
					height: 1.5px;
					background-color: rgba(255, 255, 255, 0.8);
					margin-top: 15px;
					margin-bottom: 15px;
				}
				
				div.detail {
					margin-bottom: 20px;
					font-size: 12px;
				}
			}

			div#garlic-logo {
				font-family: Georgia;
				font-weight: normal;
				font-size: 40px;
				
				sup {
					font-weight: bolder;
				}
			}
		}
	}
}